{"title":"Get salesOrderLines","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_salesorderline_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesorderline_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesorderline_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a sales order line object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"Prerequisites","slug":"prerequisites","at":93,"chars":17},{"level":2,"title":"HTTP request","slug":"http-request","at":110,"chars":324},{"level":2,"title":"Request headers","slug":"request-headers","at":434,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":506,"chars":61},{"level":2,"title":"Response","slug":"response","at":567,"chars":127},{"level":2,"title":"Example","slug":"example","at":694,"chars":1432},{"level":2,"title":"Related information","slug":"related-information","at":2126,"chars":228}],"text":"Retrieve the properties and relationships of a sales order line object for Business Central.\n## Prerequisites\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/salesOrders({id})/salesOrderLines({salesOrderLineId})\nGET businesscentralPrefix/companies({id})/salesOrderLines({salesOrderLineId})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a salesOrderLines object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/salesOrders({id})/salesOrderLines({salesOrderLineId})\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n    \"id\": \"1e8cb9c0-44e3-ea11-bb43-000d3a2feca1\",\n    \"documentId\": \"960f5c9c-44e3-ea11-bb43-000d3a2feca1\",\n    \"sequence\": 10000,\n    \"itemId\": \"0ea6738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"accountId\": \"00000000-0000-0000-0000-000000000000\",\n    \"lineType\": \"Item\",\n    \"lineObjectNumber\": \"1996-S\",\n    \"description\": \"ATLANTA Whiteboard, base\",\n    \"unitOfMeasureId\": \"5ca6738a-44e3-ea11-bb43-000d3a2feca1\",\n    \"unitOfMeasureCode\": \"PCS\",\n    \"quantity\": 12,\n    \"unitPrice\": 1397.3,\n    \"discountAmount\": 0,\n    \"discountPercent\": 0,\n    \"discountAppliedBeforeTax\": false,\n    \"amountExcludingTax\": 16767.6,\n    \"taxCode\": \"FURNITURE\",\n    \"taxPercent\": 6.00002,\n    \"totalTaxAmount\": 1006.06,\n    \"amountIncludingTax\": 17773.66,\n    \"invoiceDiscountAllocation\": 0,\n    \"netAmount\": 16767.6,\n    \"netTaxAmount\": 1006.06,\n    \"netAmountIncludingTax\": 17773.66,\n    \"shipmentDate\": \"2020-04-02\",\n    \"shippedQuantity\": 0,\n    \"invoicedQuantity\": 0,\n    \"invoiceQuantity\": 12,\n    \"shipQuantity\": 12,\n    \"itemVariantId\": \"00000000-0000-0000-0000-000000000000\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_salesorderline\ndynamics_salesorderline_delete\ndynamics_salesorderline_create\ndynamics_salesorderline_update"}